import wpilib
import wpilib.drive
import ctre

class MyRobot(wpilib.TimedRobot):
    def robotInit(self):
        self.leftFront = ctre.WPI_VictorSPX(0)
        self.leftRear = ctre.WPI_VictorSPX(1)
        self.rightFront = ctre.WPI_VictorSPX(2)
        self.rightRear = ctre.WPI_VictorSPX(3)

        self.left = wpilib.MotorControllerGroup(self.leftFront, self.leftRear)
        self.right = wpilib.MotorControllerGroup(self.rightFront, self.rightRear)
        self.right.setInverted(True)

        self.drivetrain = wpilib.drive.DifferentialDrive(self.left, self.right)

        self.primary = wpilib.XboxController(0)

        self.wallTouchButton = wpilib.DigitalInput(0)

        self.autoSpeedControl = wpilib.AnalogPotentiometer(0)


    def autonomousInit(self):
        pass

    def autonomousPeriodic(self):
        if not self.wallTouchButton.get():
            self.drivetrain.tankDrive(self.autoSpeedControl.get() / 2, self.autoSpeedControl.get() / 2)
        else:
            self.drivetrain.tankDrive(0, 0)

    def teleopInit(self):
        pass

    def teleopPeriodic(self):
        self.drivetrain.arcadeDrive(self.primary.getLeftY(), self.primary.getLeftX())

if __name__ == "__main__":
    wpilib.run(MyRobot)